.modal {
  position: absolute;
  top: 35px;
  left: 5px;
  display: flex;
  flex-direction: column;
  width: 235px;
  border: 1px solid #F1F1F1;
  padding: 15px;
  border-radius: 2px;
  z-index: 100;
  background: white;
  box-shadow: 3px 3px 5px #BFBDBD;
}
.modalHeader {
  font-size: 15px;
  margin: 10px 0;
  display: flex;
}
.modalHeaderOption {
  width: 50%;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
.modalHeaderLabel {
  width: 80px;
  background: #f1f1f1;
  border: 1px solid #f1f1f1;
  margin-top: 5px;
}
.modalHeaderLabelHighlighted {
  background: #6EB8D4;
  border-bottom: 2px solid #0a66b7;
}
.modalUploadOption {
  width: 100%;
  color: gray;
  cursor: pointer;
  display: flex;
  border: none;
  font-size: 15px;
  align-items: center;
  justify-content: center;
  background-color: #f1f1f1;
  outline: 2px dashed gray;
  outline-offset: -10px;
  margin: 10px 0;
  padding: 9px 0;
}
.modalUploadOptionHighlighted {
  outline: 2px dashed #0a66b7;
}
.modalUploadOptionLabel {
  cursor: pointer;
  height: 100%;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 15px;

  span {
    padding: 0 20px;
  }
}
.modalUploadOptionImagePreview {
  max-width: 100%;
  max-height: 200px;
}
.modalUploadOptionInput {
  width: 0.1px;
  height: 0.1px;
  opacity: 0;
  overflow: hidden;
  position: absolute;
  z-index: -1;
}
.modalUrlSection {
  display: flex;
  align-items: center;
  margin: 0 0 15px;
}
.modalUrlInput {
  width: 100%;
  height: 35px;
  margin: 0 0 0 10px;
  border: 1px solid #F1F1F1;
  border-radius: 2px;
  font-size: 15px;
  padding: 0 5px;

  &:focus {
    outline: none;
  }
}
.modalBtnSection {
  margin: 10px auto 0;
}
.modalBtn {
  margin: 0 5px;
  width: 75px;
  height: 30px;
  border: 1px solid #F1F1F1;
  border-radius: 2px;
  cursor: pointer;
  background: white;
  text-transform: capitalize;

  &:hover {
    box-shadow: 1px 1px 0 #BFBDBD;
  }

  &:active {
    box-shadow: 1px 1px 0 #BFBDBD inset;
  }

  &:focus {
    outline: none !important;
  }

  &:disabled {
    background: #ece9e9;
  }
}
.modalSpinner {
  position: absolute;
  top: -3px;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0.5;
}
.modalAltInput {
  width: 70%;
  height: 20px;
  border: 1px solid #F1F1F1;
  border-radius: 2px;
  font-size: 12px;
  margin-left: 5px;

  &:focus {
    outline: none;
  }
}
.modalAltLbl {
  font-size: 12px;
}
.modalSize {
  align-items: center;
  display: flex;
  margin: 8px 0;
  justify-content: space-between;
}
.modalSizeInput {
  width: 40%;
  height: 20px;
  border: 1px solid #F1F1F1;
  border-radius: 2px;
  font-size: 12px;

  &:focus {
    outline: none;
  }
}
.mandatorySign {
  color: red;
  margin-left: 3px;
  margin-right: 3px;
}